### Method

# Gtk TreeViewColumnset_sort_order

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_column_set_sort_order (
      GtkTreeViewColumn* tree_column,
      GtkSortType order
    )

#### Description [src]

Changes the appearance of the sort indicator.

This does not actually sort the model. Use `gtk_tree_view_column_set_sort_column_id()` if you want automatic sorting support. This function is primarily for custom sorting behavior, and should be used in conjunction with `gtk_tree_sortable_set_sort_column_id()` to do that. For custom models, the mechanism will vary.

The sort indicator changes direction to indicate normal sort or reverse sort. Note that you must have the sort indicator enabled to see anything when calling this function; see gtk_tree_view_column_set_sort_indicator().

Deprecated since: 4.10

Use GtkColumnView instead.

Sets property | `Gtk.TreeViewColumn:sort-order`

#### Parameters

`order`

  Type: `GtkSortType`

  Sort order that the sort indicator should indicate.